> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cognizo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new strategy list



## OpenAPI

````yaml /api-reference/openapi.json post /api/v2/brands/{brand_id}/opportunity_lists
openapi: 3.0.1
info:
  title: Cognizo Public API
  version: v1
  description: >-
    Public REST API for Cognizo. Authenticate with an API key via the
    `X-API-KEY` header.
servers:
  - url: https://core.cognizo.ai
security:
  - apiKey: []
paths:
  /api/v2/brands/{brand_id}/opportunity_lists:
    parameters:
      - name: brand_id
        in: path
        required: true
        schema:
          type: string
          format: uuid
    post:
      tags:
        - Opportunity Lists
      summary: Create a new strategy list
      operationId: create_brand_ad_opportunity_list
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/opportunity_list_create_input'
      responses:
        '201':
          description: list created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/opportunity_list'
                required:
                  - data
        '400':
          description: validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '422':
          description: validation error on the create body
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '500':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    opportunity_list_create_input:
      type: object
      properties:
        name:
          type: string
        color:
          type: string
          nullable: true
        sort_order:
          type: integer
          nullable: true
        created_by_user_id:
          type: string
          nullable: true
      required:
        - name
    opportunity_list:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        color:
          type: string
          nullable: true
        sort_order:
          type: integer
        created_by_user_id:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        item_count:
          type: integer
      required:
        - id
        - name
        - color
        - sort_order
        - created_by_user_id
        - created_at
        - updated_at
        - item_count
    error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            details:
              type: array
              items:
                $ref: '#/components/schemas/error_detail'
          required:
            - code
            - message
      required:
        - error
    error_detail:
      type: object
      properties:
        field:
          type: string
          nullable: true
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
        - field
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````